<?php
/*
Gets the number of posts and comments so we can display it in the sidebar
*/
$countpost = wp_count_posts();
$numposts = $countpost->publish;
$countcomments = wp_count_comments();
$numcmnts = $countcomments->approved;

/*
Description: Returns a list of the most recent posts.
Created by Sadish for his GreenTrack Theme
*/

function gt_get_recent_posts($no_posts = 5, $before = '<li>', $after = '</li>', $show_pass_post = false) {
    $posts = wp_get_recent_posts(array('numberposts' => $no_posts, 'post_status' => 'publish'));
	$output = '';
    foreach ($posts as $post) {
        $post_title = stripslashes($post->post_title);
        $permalink = get_permalink($post->ID);
        $output .= $before . '<a href="' . $permalink . '" rel="bookmark" title="Permanent Link: ' . $post_title . '">' . $post_title . '</a>';
		$output .= $after;
    }
    echo $output;
}
/*
Description: Returns a list of the most recent comments.
Created by Sadish for his GreenTrack Theme
*/
function gt_get_recent_comments($no_comments = 5, $comment_num_of_words = 4, $before = '<li>', $after = '</li>')
{
    $args = array(
        'post_status' => 'publish',
        'number' => $no_comments,
        'order_by' => 'comment_date',
        'status' => 'approved'
    );
    $comments = get_comments($args);

    $output = '';
    if($comments) {
        foreach ($comments as $comment)
        {
                $comment_author = stripslashes($comment->comment_author);
                $comment_content = strip_tags($comment->comment_content);
                $comment_content = stripslashes($comment_content);
                $words=split(" ",$comment_content);
                $comment_excerpt = join(" ",array_slice($words,0,$comment_num_of_words));
                $permalink = get_permalink($comment->comment_ID)."#comment-".$comment->comment_ID;
                $output .= $before . '<strong>' . $comment_author . '</strong>: <a href="' . $permalink;
                $output .= '" title="'.__('Comment by','c4m').' ' . $comment_author.'">' . $comment_excerpt . '...</a>' . $after;
        }
    }
        echo $output;
       	echo '<br/>'."\n";
}

?>